=== modified file 'permutation/gsl_permute_vector_uchar.h'
--- permutation/gsl_permute_vector_uchar.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_uchar.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_uchar.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_uchar (const gsl_permutation * p, gsl_vector_uchar * v);
 int gsl_permute_vector_uchar_inverse (const gsl_permutation * p, gsl_vector_uchar * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_UCHAR_H */

=== modified file 'permutation/gsl_permute_vector_uint.h'
--- permutation/gsl_permute_vector_uint.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_uint.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_uint.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_uint (const gsl_permutation * p, gsl_vector_uint * v);
 int gsl_permute_vector_uint_inverse (const gsl_permutation * p, gsl_vector_uint * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_UINT_H */

=== modified file 'permutation/gsl_permute_vector_ulong.h'
--- permutation/gsl_permute_vector_ulong.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_ulong.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_ulong.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_ulong (const gsl_permutation * p, gsl_vector_ulong * v);
 int gsl_permute_vector_ulong_inverse (const gsl_permutation * p, gsl_vector_ulong * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_ULONG_H */

=== modified file 'permutation/gsl_permute_vector_ushort.h'
--- permutation/gsl_permute_vector_ushort.h	2013-03-30 20:12:56 +0000
+++ permutation/gsl_permute_vector_ushort.h	2013-03-30 20:59:11 +0000
@@ -25,21 +25,21 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_ushort.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_permute_vector_ushort (const gsl_permutation * p, gsl_vector_ushort * v);
 int gsl_permute_vector_ushort_inverse (const gsl_permutation * p, gsl_vector_ushort * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PERMUTE_VECTOR_USHORT_H */

=== modified file 'poly/gsl_poly.h'
--- poly/gsl_poly.h	2013-03-30 20:12:56 +0000
+++ poly/gsl_poly.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_inline.h>
 #include <gsl/gsl_complex.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Evaluate polynomial
@@ -174,6 +174,6 @@
                         gsl_poly_complex_workspace * w,
                         gsl_complex_packed_ptr z);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_POLY_H */

=== modified file 'qrng/gsl_qrng.h'
--- qrng/gsl_qrng.h	2013-03-30 20:12:56 +0000
+++ qrng/gsl_qrng.h	2013-03-30 20:59:11 +0000
@@ -8,17 +8,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_inline.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Once again, more inane C-style OOP... kill me now. */
@@ -105,7 +105,7 @@
 #endif /* HAVE_INLINE */
 
 
-__END_DECLS
+GSL_END_DECLS
 
 
 #endif /* !GSL_QRNG_H */

=== modified file 'randist/gsl_randist.h'
--- randist/gsl_randist.h	2013-03-30 20:12:56 +0000
+++ randist/gsl_randist.h	2013-03-30 20:59:11 +0000
@@ -21,17 +21,17 @@
 #define GSL_RANDIST_H
 #include <gsl/gsl_rng.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 unsigned int gsl_ran_bernoulli (const gsl_rng * r, double p);
 double gsl_ran_bernoulli_pdf (const unsigned int k, double p);
@@ -180,6 +180,6 @@
 double gsl_ran_discrete_pdf (size_t k, const gsl_ran_discrete_t *g);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_RANDIST_H */

=== modified file 'rng/gsl_rng.h'
--- rng/gsl_rng.h	2013-03-30 20:12:56 +0000
+++ rng/gsl_rng.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_inline.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct
   {
@@ -212,6 +212,6 @@
 }
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_RNG_H */

=== modified file 'roots/gsl_roots.h'
--- roots/gsl_roots.h	2013-03-30 20:12:56 +0000
+++ roots/gsl_roots.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_types.h>
 #include <gsl/gsl_math.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct
   {
@@ -122,6 +122,6 @@
 GSL_VAR const gsl_root_fdfsolver_type  * gsl_root_fdfsolver_secant;
 GSL_VAR const gsl_root_fdfsolver_type  * gsl_root_fdfsolver_steffenson;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_ROOTS_H */

=== modified file 'siman/gsl_siman.h'
--- siman/gsl_siman.h	2013-03-30 20:12:56 +0000
+++ siman/gsl_siman.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_rng.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* types for the function pointers passed to gsl_siman_solve */
 
@@ -77,6 +77,6 @@
                       size_t element_size,
                       gsl_siman_params_t params);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SIMAN_H */

=== modified file 'sort/gsl_heapsort.h'
--- sort/gsl_heapsort.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_heapsort.h	2013-03-30 20:59:11 +0000
@@ -22,23 +22,23 @@
 
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef int (*gsl_comparison_fn_t) (const void *, const void *);
 
 void gsl_heapsort (void * array, size_t count, size_t size, gsl_comparison_fn_t compare);
 int gsl_heapsort_index (size_t * p, const void * array, size_t count, size_t size, gsl_comparison_fn_t compare);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_HEAPSORT_H */

=== modified file 'sort/gsl_sort_char.h'
--- sort/gsl_sort_char.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_char.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_char (char * data, const size_t stride, const size_t n);
 void gsl_sort_char_index (size_t * p, const char * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_char_largest (char * dest, const size_t k, const char * src, const size_t stride, const size_t n);
 int gsl_sort_char_largest_index (size_t * p, const size_t k, const char * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_CHAR_H */

=== modified file 'sort/gsl_sort_double.h'
--- sort/gsl_sort_double.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_double.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort (double * data, const size_t stride, const size_t n);
 void gsl_sort_index (size_t * p, const double * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_largest (double * dest, const size_t k, const double * src, const size_t stride, const size_t n);
 int gsl_sort_largest_index (size_t * p, const size_t k, const double * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_DOUBLE_H */

=== modified file 'sort/gsl_sort_float.h'
--- sort/gsl_sort_float.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_float.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_float (float * data, const size_t stride, const size_t n);
 void gsl_sort_float_index (size_t * p, const float * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_float_largest (float * dest, const size_t k, const float * src, const size_t stride, const size_t n);
 int gsl_sort_float_largest_index (size_t * p, const size_t k, const float * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_FLOAT_H */

=== modified file 'sort/gsl_sort_int.h'
--- sort/gsl_sort_int.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_int.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_int (int * data, const size_t stride, const size_t n);
 void gsl_sort_int_index (size_t * p, const int * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_int_largest (int * dest, const size_t k, const int * src, const size_t stride, const size_t n);
 int gsl_sort_int_largest_index (size_t * p, const size_t k, const int * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_INT_H */

=== modified file 'sort/gsl_sort_long.h'
--- sort/gsl_sort_long.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_long.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_long (long * data, const size_t stride, const size_t n);
 void gsl_sort_long_index (size_t * p, const long * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_long_largest (long * dest, const size_t k, const long * src, const size_t stride, const size_t n);
 int gsl_sort_long_largest_index (size_t * p, const size_t k, const long * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_LONG_H */

=== modified file 'sort/gsl_sort_long_double.h'
--- sort/gsl_sort_long_double.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_long_double.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_long_double (long double * data, const size_t stride, const size_t n);
 void gsl_sort_long_double_index (size_t * p, const long double * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_long_double_largest (long double * dest, const size_t k, const long double * src, const size_t stride, const size_t n);
 int gsl_sort_long_double_largest_index (size_t * p, const size_t k, const long double * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_LONG_DOUBLE_H */

=== modified file 'sort/gsl_sort_short.h'
--- sort/gsl_sort_short.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_short.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_short (short * data, const size_t stride, const size_t n);
 void gsl_sort_short_index (size_t * p, const short * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_short_largest (short * dest, const size_t k, const short * src, const size_t stride, const size_t n);
 int gsl_sort_short_largest_index (size_t * p, const size_t k, const short * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_SHORT_H */

=== modified file 'sort/gsl_sort_uchar.h'
--- sort/gsl_sort_uchar.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_uchar.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_uchar (unsigned char * data, const size_t stride, const size_t n);
 void gsl_sort_uchar_index (size_t * p, const unsigned char * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_uchar_largest (unsigned char * dest, const size_t k, const unsigned char * src, const size_t stride, const size_t n);
 int gsl_sort_uchar_largest_index (size_t * p, const size_t k, const unsigned char * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_UCHAR_H */

=== modified file 'sort/gsl_sort_uint.h'
--- sort/gsl_sort_uint.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_uint.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_uint (unsigned int * data, const size_t stride, const size_t n);
 void gsl_sort_uint_index (size_t * p, const unsigned int * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_uint_largest (unsigned int * dest, const size_t k, const unsigned int * src, const size_t stride, const size_t n);
 int gsl_sort_uint_largest_index (size_t * p, const size_t k, const unsigned int * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_UINT_H */

=== modified file 'sort/gsl_sort_ulong.h'
--- sort/gsl_sort_ulong.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_ulong.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_ulong (unsigned long * data, const size_t stride, const size_t n);
 void gsl_sort_ulong_index (size_t * p, const unsigned long * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_ulong_largest (unsigned long * dest, const size_t k, const unsigned long * src, const size_t stride, const size_t n);
 int gsl_sort_ulong_largest_index (size_t * p, const size_t k, const unsigned long * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_ULONG_H */

=== modified file 'sort/gsl_sort_ushort.h'
--- sort/gsl_sort_ushort.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_ushort.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_errno.h>
 #include <gsl/gsl_permutation.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_ushort (unsigned short * data, const size_t stride, const size_t n);
 void gsl_sort_ushort_index (size_t * p, const unsigned short * data, const size_t stride, const size_t n);
@@ -45,6 +45,6 @@
 int gsl_sort_ushort_largest (unsigned short * dest, const size_t k, const unsigned short * src, const size_t stride, const size_t n);
 int gsl_sort_ushort_largest_index (size_t * p, const size_t k, const unsigned short * src, const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_USHORT_H */

=== modified file 'sort/gsl_sort_vector_char.h'
--- sort/gsl_sort_vector_char.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_char.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_char.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_char (gsl_vector_char * v);
 int gsl_sort_vector_char_index (gsl_permutation * p, const gsl_vector_char * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_char_smallest_index (size_t * p, const size_t k, const gsl_vector_char * v);
 int gsl_sort_vector_char_largest_index (size_t * p, const size_t k, const gsl_vector_char * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_CHAR_H */

=== modified file 'sort/gsl_sort_vector_double.h'
--- sort/gsl_sort_vector_double.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_double.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector (gsl_vector * v);
 int gsl_sort_vector_index (gsl_permutation * p, const gsl_vector * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_smallest_index (size_t * p, const size_t k, const gsl_vector * v);
 int gsl_sort_vector_largest_index (size_t * p, const size_t k, const gsl_vector * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_DOUBLE_H */

=== modified file 'sort/gsl_sort_vector_float.h'
--- sort/gsl_sort_vector_float.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_float.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_float.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_float (gsl_vector_float * v);
 int gsl_sort_vector_float_index (gsl_permutation * p, const gsl_vector_float * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_float_smallest_index (size_t * p, const size_t k, const gsl_vector_float * v);
 int gsl_sort_vector_float_largest_index (size_t * p, const size_t k, const gsl_vector_float * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_FLOAT_H */

=== modified file 'sort/gsl_sort_vector_int.h'
--- sort/gsl_sort_vector_int.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_int.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_int.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_int (gsl_vector_int * v);
 int gsl_sort_vector_int_index (gsl_permutation * p, const gsl_vector_int * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_int_smallest_index (size_t * p, const size_t k, const gsl_vector_int * v);
 int gsl_sort_vector_int_largest_index (size_t * p, const size_t k, const gsl_vector_int * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_INT_H */

=== modified file 'sort/gsl_sort_vector_long.h'
--- sort/gsl_sort_vector_long.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_long.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_long.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_long (gsl_vector_long * v);
 int gsl_sort_vector_long_index (gsl_permutation * p, const gsl_vector_long * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_long_smallest_index (size_t * p, const size_t k, const gsl_vector_long * v);
 int gsl_sort_vector_long_largest_index (size_t * p, const size_t k, const gsl_vector_long * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_LONG_H */

=== modified file 'sort/gsl_sort_vector_long_double.h'
--- sort/gsl_sort_vector_long_double.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_long_double.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_long_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_long_double (gsl_vector_long_double * v);
 int gsl_sort_vector_long_double_index (gsl_permutation * p, const gsl_vector_long_double * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_long_double_smallest_index (size_t * p, const size_t k, const gsl_vector_long_double * v);
 int gsl_sort_vector_long_double_largest_index (size_t * p, const size_t k, const gsl_vector_long_double * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_LONG_DOUBLE_H */

=== modified file 'sort/gsl_sort_vector_short.h'
--- sort/gsl_sort_vector_short.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_short.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_short.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_short (gsl_vector_short * v);
 int gsl_sort_vector_short_index (gsl_permutation * p, const gsl_vector_short * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_short_smallest_index (size_t * p, const size_t k, const gsl_vector_short * v);
 int gsl_sort_vector_short_largest_index (size_t * p, const size_t k, const gsl_vector_short * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_SHORT_H */

=== modified file 'sort/gsl_sort_vector_uchar.h'
--- sort/gsl_sort_vector_uchar.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_uchar.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_uchar.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_uchar (gsl_vector_uchar * v);
 int gsl_sort_vector_uchar_index (gsl_permutation * p, const gsl_vector_uchar * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_uchar_smallest_index (size_t * p, const size_t k, const gsl_vector_uchar * v);
 int gsl_sort_vector_uchar_largest_index (size_t * p, const size_t k, const gsl_vector_uchar * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_UCHAR_H */

